# Imports
from flask_sqlalchemy import SQLAlchemy

# Database
database = SQLAlchemy()

# User
class User ( database.Model ):
    id = database.Column(database.Integer, primary_key = True)
    username = database.Column(database.String, nullable = False, unique = True)
    password = database.Column(database.String, nullable = False)
    memes = database.relationship("Meme", lazy = "dynamic")

# Meme
class Meme ( database.Model ):
    id = database.Column(database.Integer, primary_key = True)
    user = database.Column(database.String, database.ForeignKey("user.username"), nullable = False)
    title = database.Column(database.String, nullable = False)
    image = database.Column(database.String, nullable = False, unique = True)